V1Leads

リード作成

POST
/v1/leads

Header Parameters

X-Proteger-Auth-Token*string

protegerAccessToken

Content-Type*string

application/json

Accept*string

application/json

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/leads" \  -H "X-Proteger-Auth-Token: string" \  -H "Content-Type: string" \  -H "Accept: string" \  -H "Content-Type: application/json" \  -d '{    "transactionId": "string",    "product": {      "referenceId": "string",      "purchasePrice": 0    },    "quantity": 0,    "transactionDate": "2021-01-31T13:16:06.239289+09:00"  }'
{  "token": "string",  "transactionId": "string",  "customer": {    "email": "user@example.com"  },  "product": {    "id": "c10a0882-2b11-633d-7de6-0563bbf9dbed",    "referenceId": "c10a0882-2b11-633d-7de6-0563bbf9dbed",    "title": "ノートPC",    "price": 10000,    "imageUrl": "https://helloproteger.com/image/10vj12.png",    "category": "パソコン",    "brand": "Apple",    "purchasePrice": 10000,    "serialNumber": "12304981",    "createdAt": "2021-01-31T13:16:06.239289+09:00",    "updatedAt": "2021-01-31T13:16:06.239289+09:00"  },  "quantity": 0,  "transactionDate": "2021-01-31T13:16:06.239289+09:00",  "status": "Live"}
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}